from setuptools import setup, find_packages

# Read README for long description
with open('README.md', 'r', encoding='utf-8') as f:
    long_description = f.read()

setup(
    name="frappe-pre-commit",
    version="1.0.0",
    description="Pre-commit hooks for Frappe Framework coding standards",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="Bhushan Barbuddhe",
    author_email="bhushan.barbuddhe@dhwaniris.com",
    url="https://github.com/dhwani-ris/frappe-pre-commit",
    packages=find_packages(),
    include_package_data=True,
    python_requires=">=3.8",
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Topic :: Software Development :: Quality Assurance",
    ],
    keywords="frappe erpnext pre-commit hooks code-quality",
)